package org.caosdb.server.database.backend.transaction;

import static org.junit.Assert.assertEquals;

import org.caosdb.server.database.BackendTransaction;
import org.caosdb.server.entity.DeleteEntity;
import org.caosdb.server.entity.InsertEntity;
import org.caosdb.server.entity.RetrieveEntity;
import org.caosdb.server.entity.Role;
import org.caosdb.server.entity.UpdateEntity;
import org.jdom2.Element;
import org.junit.Test;

public class BackendTransactionTest {

  @Test
  public void testGetTransactionType() {
    BackendTransaction transaction = new InsertTransactionHistory(null, null, null, null);
    assertEquals("Retrieve", transaction.getTransactionType(new RetrieveEntity("test")));
    assertEquals("Insert", transaction.getTransactionType(new InsertEntity("test", Role.Record)));
    assertEquals("Delete", transaction.getTransactionType(new DeleteEntity(1234)));
    assertEquals("Update", transaction.getTransactionType(new UpdateEntity(new Element("Record"))));
  }
}
